weka.knowledgeflow.steps

## Class FlowByExpression.BracketNode

- java.lang.Object
- - weka.knowledgeflow.steps.FlowByExpression.ExpressionNode
  - - weka.knowledgeflow.steps.FlowByExpression.BracketNode

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    FlowByExpression

      public static class FlowByExpression.BracketNode
      extends FlowByExpression.ExpressionNode
      implements java.io.Serializable

  An expression node that encloses other expression nodes in brackets
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BracketNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(FlowByExpression.ExpressionNode child)` Add a child to this bracket node
    `boolean` | `evaluate(Instance inst, boolean result)` Evaluate this node and combine with the result so far
    `void` | `init(Instances structure, Environment env)` Initialize the node
    `java.lang.String` | `parseFromInternal(java.lang.String expression)` Parse and initialize from the internal representation
    `void` | `removeChild(FlowByExpression.ExpressionNode child)` Remove a child from this bracket node
    `javax.swing.tree.DefaultMutableTreeNode` | `toJTree(javax.swing.tree.DefaultMutableTreeNode parent)` Get a DefaultMutableTreeNode for this node
    `java.lang.String` | `toString()`
    `void` | `toStringDisplay(java.lang.StringBuffer buff)` Get the display representation of this node
    `void` | `toStringInternal(java.lang.StringBuffer buff)` Get the internal representation of this node

    - ### Methods inherited from class weka.knowledgeflow.steps.FlowByExpression.ExpressionNode

      `isNegated, isOr, setIsOr, setNegated, setShowAndOr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BracketNode

          public BracketNode()

  - ### Method Detail

    - #### init

          public void init(Instances structure,
                           Environment env)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Initialize the node
      Overrides:
        `init` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `structure` - the structure of the incoming instances
        `env` - Environment variables

    - #### evaluate

          public boolean evaluate(Instance inst,
                                  boolean result)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Evaluate this node and combine with the result so far
      Specified by:
        `evaluate` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `inst` - the incoming instance to evalute with
        `result` - the result to combine with
      Returns:
        the result after combining with this node

    - #### addChild

          public void addChild(FlowByExpression.ExpressionNode child)

      Add a child to this bracket node
      Parameters:
        `child` - the ExpressionNode to add

    - #### removeChild

          public void removeChild(FlowByExpression.ExpressionNode child)

      Remove a child from this bracket node
      Parameters:
        `child` - the ExpressionNode to remove

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toJTree

          public javax.swing.tree.DefaultMutableTreeNode toJTree(javax.swing.tree.DefaultMutableTreeNode parent)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Get a DefaultMutableTreeNode for this node
      Specified by:
        `toJTree` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `parent` - the parent of this node (if any)
      Returns:
        the DefaultMutableTreeNode for this node

    - #### toStringDisplay

          public void toStringDisplay(java.lang.StringBuffer buff)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Get the display representation of this node
      Specified by:
        `toStringDisplay` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `buff` - the string buffer to append to

    - #### toStringInternal

          public void toStringInternal(java.lang.StringBuffer buff)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Get the internal representation of this node
      Specified by:
        `toStringInternal` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `buff` - the string buffer to append to

    - #### parseFromInternal

          public java.lang.String parseFromInternal(java.lang.String expression)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Parse and initialize from the internal representation
      Parameters:
        `expression` - the expression to parse in internal representation
      Returns:
        the remaining parts of the expression after parsing and removing the part for this node